<?php

/**
 * Result Model
 *
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/models
 */

if( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Result {

	function add($vars) {

		global $wpdb;
		
		$vars['title'] = sanitize_text_field($vars['title']);
		$vars['redirect_url'] = esc_url_raw($vars['redirect_url']);
		if(!current_user_can('unfiltered_html')) {
			$vars['description'] = strip_tags($vars['description']);
		}
		
		$result = $wpdb->query($wpdb->prepare("INSERT INTO ".ENTUSIASTICS_QUIZ_GAME_RESULTS." SET
			quiz_id=%d, title=%s, description=%s, redirect_url=%s", 
			$vars['quiz_id'], $vars['title'], $vars['description'], $vars['redirect_url']));

		if($result === false) throw new Exception(__('DB Error', 'entusiastics-quiz-game'));
		
		return $wpdb->insert_id;

	}
	
	function save($vars, $id) {
		global $wpdb;
		
		$id = intval($id);		
		
		$vars['title'] = sanitize_text_field($vars['title']);
		$vars['redirect_url'] = esc_url_raw($vars['redirect_url']);
		if(!current_user_can('unfiltered_html')) {
			$vars['description'] = strip_tags($vars['description']);
		}
		
		$result = $wpdb->query($wpdb->prepare("UPDATE ".ENTUSIASTICS_QUIZ_GAME_RESULTS." SET title=%s, description=%s, redirect_url=%s WHERE id=%d",$vars['title'], $vars['description'],$vars['redirect_url'], $id));

		if($result === false) throw new Exception(__('DB Error', 'entusiastics-quiz-game'));
		return true;	
	}
	
	function delete($id) {
		global $wpdb;
		$id = intval($id);
		
		// delete result
		$result =$wpdb->query($wpdb->prepare("DELETE FROM ".ENTUSIASTICS_QUIZ_GAME_RESULTS." WHERE id=%d", $id));
		
		if($result === false) throw new Exception(__('DB Error', 'entusiastics-quiz-game'));
		return true;	
	}

}