<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */

?>

<h1><?php echo esc_html( get_admin_page_title() ); ?></h1>

<h2><?php esc_html_e( 'Shortcode', 'entusiastics-quiz-game' ); ?></h2>

<p><?php esc_html_e( 'La versión más simple del shortcode es:', 'entusiastics-quiz-game' ); ?></p>

<pre><code>[entusiastics-quiz-game #id-del-quizz]</code></pre>

<div id="chained-related" class="chained-sidebox">
	<h3>Did you know?</h3>
	
	<p>Now you can use <a href="http://blog.calendarscripts.info/chained-quiz-logic-free-add-on-for-watupro/" target="_blank">this tool</a> to transfer your quizzes to the best premium quiz plugin <a href="http://calendarscripts.info/watupro/" target="_blank">WatuPRO</a>. This will give you access to premuim support and a lot of great fatures like user registration, randomizing, categorization, super-high flexibility, lots of question types, and more.</p>
	
	<p><?php _e('<b>WatuPRO</b> is general purpose quiz, survey and exam plugin with rich reporting features and free integration with many popular plugins and services.', 'entusiastics-quiz-game');?> </p>
	
	<p><?php _e('Just go ahead and', 'entusiastics-quiz-game')?> <a href="http://calendarscripts.info/watupro/tour.html" target="_blank"><?php _e('take the tour', 'entusiastics-quiz-game')?></a> <?php _e('or check the', 'entusiastics-quiz-game')?> <a href="http://calendarscripts.info/watupro/demo.html" target="_blank"><?php _e('online demo.', 'entusiastics-quiz-game')?></a></p>
	
	<p><?php _e('Purchasing WatuPRO comes with <strong>60 days refund policy</strong>, one year <strong>free upgrades</strong> and one year <strong>free support</strong>.', 'entusiastics-quiz-game')?></p>
</div>


<div id="chained-help" class="chained-sidebox">
	<h3><?php _e('Need Support?', 'entusiastics-quiz-game')?></h3>
	
	<p><?php _e('Please ask your question in the', 'entusiastics-quiz-game')?> <a href="https://wordpress.org/support/plugin/chained-quiz" target="_blank"><?php _e('support forum at Wordpress.', 'entusiastics-quiz-game')?></a></p>
	
	<p><?php _e("Use the forum only for issues concerning the free Chained Quiz plugin. If you have a pre-sales question about Watu PRO please contact us", 'entusiastics-quiz-game')?> <a href="http://calendarscripts.info/contact.html" target="_blank"><?php _e('through our site.', 'entusiastics-quiz-game')?></a></p>
</div>
