<?php

/**
 * Landig page of admin area
 *
 * This file is used to landing page of plugin admin area.
 *
 * @link       https://entusiastics.com
 * @since      1.0.0
 *
 * @package    Entusiastics_Quiz_Game
 * @subpackage Entusiastics_Quiz_Game/admin/partials
 */


?>

<div class="entusiastics-result-wrapper">

	<div class="entusiastics-connotation-header-wrapper">

		<h3 class="entusiastics-connotation-header">
			<?php _e('Indicadores Alta Calidad', 'entusiastics-quiz-game') ?>
		</h3>

		<div class="entusiastics-connotation-counter">

			<div class="entusiastics-connotation-counter-wrapper">
				<span><?php echo count($args['results_positive']); ?>/<?php echo count($args['results']); ?></span>
			</div>

		</div>

	</div>

	<div class="entusiastics-indicators-container">

		<?php foreach ($args['results_positive'] as $key => $result) { ?>

			<div class="entusiastics-indicator-item">

				<div class="entusiastics-indicator-item-top">

					<div class="entusiastics-indicator-item-left">

						<h4 class="entusiastics-indicator-item-title">
							<?php echo $result['profile']->name; ?>
						</h4>

						<a href="#" alt="" class="entusiastics-indicator-accordion-button">
							<span class="entusiastics-indicator-accordion-button-text">
								<?php _e('Más info', 'entusiastics-quiz-game'); ?>
							</span>
							<span class="entusiastics-indicator-accordion-button-icon">+</span>
						</a>
					</div>

					<div class="right">

						<div class="spinner">

							<?php $porcentaje = (1 * 100) / count($args['results_positive']); ?>

							<div id="positive-chart-<?php echo $key; ?>" class="donut-size" data-percent="<?php echo $porcentaje ?>">

								<div class="pie-wrapper">

									<span class="label">
										<span class="num"><?php echo (int)$porcentaje ?></span><span class="smaller">%</span>
									</span>

									<div class="pie">
										<div class="left-side half-circle positive"></div>
										<div class="right-side half-circle positive"></div>
									</div>

									<div class="shadow"></div>

								</div>

							</div>

						</div>

					</div>

				</div>

				<div class="entusiastics-indicator-item-bottom">

					<div class="entusiastics-indicator-item-panel">
						<span class="entusiastics-indicator-item-panel-text">
							<?php echo $result['profile']->profile_description; ?>
						</span>
					</div>

				</div>

			</div>

		<?php } ?>

	</div>

</div>